1 Reply Latest reply on Jan 2, 2014 12:19 AM by Artem Taturevych

    How to find entity belongs to sketchblock in drawing

    Sanjay Phadke

      Hello All

      Happy new year 2014

      Can any one tell me How to find entity that belongs to sketchblock in drawing

      following code is when user selct the block on drawing & it captures all the data of block

       

      I have attached screenshot when user selects block properly & another when user selects point of block

      following code works correctly when user select the block correctly

       

          Set swModel = swApp.ActiveDoc

          Set swselmgr = swModel.SelectionManager

          If swselmgr.GetSelectedObjectType(1) = 114 Then

          Set selBlockInst = swselmgr.GetSelectedObject6(1, -1)

           Debug.Print selBlockInst.Name

          End If

       

      I want to capture the event when user select entity of block that may be point, arc, line etc

      through api how to get such type of entities that belongs to block

       

      - Sanjay